Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Q3DateTimeEditBase Class Reference

The Q3DateTimeEditBase class provides an abstraction for date and edit editors. More...

    #include <Q3DateTimeEditBase>

This class is part of the Qt 3 compatibility library. It is provided to keep old source code working. We strongly advise against using it in new code. See the Porting Guide for more information.

Inherits QWidget.

Inherited by Q3DateEdit and Q3TimeEdit.

- List of all members, including inherited members

### Writable Properties

- 33 writable properties inherited from QWidget
- 1 writable property inherited from QObject

### Read-Only Properties

- 20 read-only properties inherited from QWidget

### Public Functions

- 92 public functions inherited from QWidget
- 26 public functions inherited from QObject
- 10 public functions inherited from QPaintDevice

### Public Slots

- 16 public slots inherited from QWidget
- 1 public slot inherited from QObject

### Signals

- 1 signal inherited from QObject

### Static Public Members

- 4 static public members inherited from QWidget
- 4 static public members inherited from QObject

### Protected Functions

- 42 protected functions inherited from QWidget
- 7 protected functions inherited from QObject

## Detailed Description

The Q3DateTimeEditBase class provides an abstraction for date and edit editors.

Small abstract class that provides some functions that are common for both Q3DateEdit and Q3TimeEdit. It is used internally by Q3DateTimeEditor.